== Ascent ==

Tags: one-column, two-columns, left-sidebar, right-sidebar, custom-background, custom-menu, featured-images, post-formats, theme-options, translation-ready
Tested up to: 5.2.3
Stable tag: 3.8.5
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html


== Bundled Resources ==
* Font Awesome: https://fontawesome.com
* BootStrap: http://getbootstrap.com/
* Owl carousel: http://owlgraphic.com/owlcarousel/
* SwipeBox: http://github.com/brutaldesign/swipebox
* MeanMenu: https://github.com/meanthemes/meanMenu
* jQueryAppear: https://github.com/morr/jquery.appear/
* Theme Hook Alliance: https://github.com/zamoose/themehookalliance

== Description ==

Ascent is a fully responsive theme which perfectly adjusts as per your device’s screen and resolution. A multipurpose, beautiful and clean theme perfect for businesses, portfolios, and blogs. Easily customize the theme as per your liking. Also, supports WooCommerce integration for eCommerce businesses.

It is compatible with all the major page builders like Elementor, SiteOrigin etc. 

Ascent is SEO friendly & Schema.org code integrated to help your website rank organically for specific keywords and phrases in the SERP(Search engine results page). 

The theme is light-weight to help your website load quickly, so the users don’t have to wait too long. Other features: RTL, Translation Ready, Regularly updated.

You can check out the demo at https://ascenttheme.com/


* Fully Bootstrap Power
* FontAwesome implementation
* jQuery SwipeBox
* Setup jQuery MeanMenu and Velocity for beautiful responsive animated menu.
* Implement jQuery appear for tracking element's appearance in the browser viewport.
* Implement Theme Options for customizing the Theme
* A just right amount of lean, well-commented, modern, HTML5 templates.
* A helpful 404 template.
* Custom template tags in `includes/template-tags.php` that keep your templates clean and neat and prevent code duplication.
* Some small tweaks in `includes/extras.php` that can improve your theming experience.
* Keyboard navigation for image attachment templates. The script can be found in `js/keyboard-navigation.js`. It's enqueued in `functions.php`.
* Smartly organized starter CSS in `style.css` that will help you to quickly get your design off the ground.
* Support multiple color scheme


== Installation ==

1. In your admin panel, go to Appearance -> Themes and click the Add New button.
2. Click Upload and Choose File, then select the theme's .zip file. Click Install Now.
3. Click Activate to use your new theme right away.


== Frequently Asked Questions ==


= Does Ascent support Cutomizer Options?  =

Yes! these are the following options
* Header settings
* Styling
* Social Media
* Home Page Slider
* Other Settings

= Where is my custom menu? =

You can activate an optional custom menu under Appearance -> Menus Check Main Menu, which will be displayed beneath the header area.

= Does Ascent support widgets? =

Yes! You can add widgets under Appearance -> Widgets, and they will appear in the sidebar, beneath the header area.

= Does Ascent support Post Formats? =

Ascent supports Aside, Image, Video, Quote and Link post formats.

= How do I add Home page Slider? =

You can add Slider following these steps:

* In your admin panel, go to Customizer -> Home Page Option -> Home Page Slider
* Enable the 'Do you want to display slider on homepage ?' checkbox.
* Provide the require Images and Description.

= Does Ascent use featured images? =

Featured Images look best at 732 pixels wide or larger.

= Does Ascent support multiple color scheme? =

Yes! You can choose your color scheme under Customizer -> Styling section


= Changelog =

### Version 3.8.5
- Updated theme assets structure and clean up code

### Version 3.8.4
- Allow HTML to slider description

### Version 3.8.3
- Fixed slider image sanitize issue

### Version 3.8.2
- Updated translation

### Version 3.8.1
- Updated Font-Awesome to 5.10.2
- Updated translation

### Version 3.7.0
- Added Theme Hook Alliance
- Updated template structures


### Version 3.8.0
- Fixed single page template issue

### Version 3.6.0
- Removed HTML allowed_tags
- Added customizer option for footer copyright section

### Version 3.5.0
- Fixed CSS issue

### Version 3.4
- Changed Theme options to Customizer
- Removed jQuery smoothScroll

### Version 3.3
- Fixed: Sidebar issue and theme option issue

### Version 3.2
- Fixed: esc_url, esc_attr, esc_html issue and remove Admin notice

### Version 3.1
- Update: Theme main Screenshot

### Version 3.0
- Update: Theme version

### Version 2.0.9
- Add: Google Font can add through the theme option panel
- Update: Changed base font size and line height
- Fix: Comment Reply button for Responsive device

### Version 2.0.8
- Update: OwlCarousel 2.2.1
- Add: Config for Home page slider pagination and navigation
- Update: JS/CSS library handler name
- Add: Minified version CSS and JSS files
- Fix: Removed add_theme_support('menus')

### Version 2.0.7
- Update: Theme version

### Version 2.0.6
- Update: Cleanup JS file

### Version 2.0.5
- Update: Theme version

### Version 2.0.4
- New: Added two Theme color scheme(Dodger blue and Medium slate blue)
- Update: Font-awesome 4.7.0
- Update: OwlCarousel 2.2.1
- Update: MeanMenu
- Update: SmoothScroll v1.4.6
- Update: VelocityJS.org 1.5.0
- Update: HTML5 Shiv 3.7.3
- Update: jQuery appear 0.3.6
- Update: Search Result Listing page template
- Update: Header Search box slideToggle style
- Fix: Radio Buttons and Checkboxes not displaying issue
- Fix: Post date and comments count section responsive issue

### Version 2.0.3
- Fixed Fatal error issue: Can't use function return value in write context in `ascent/header-banner.php` on line 6

### Version 2.0.2
- Added Custom Theme Color theme-option(User can customize the theme color)
- Added video option for home page slider

### Version 2.0.1
- Updated Swipebox
- Updated Owl Carousel
- Updated BootStrap
- Updated Font Awesome
- Updated jQueryAppear
- Added multiple color scheme to the theme option

### Version 2.0
- Updated swipebox.css
- Fixed Social media links for 'Github and Google Plus URL'
- Added Theme Option - Other Settings Tab for Swipebox, Sticky Header and Enable Scroll to Top
- Added Sticky Header

### Version 1.0.9
- Added 'main.css', Moved all css from style.css to 'includes/css/main.css'(Fixing child theme style issue)
- Fixed translation issue on 'content-single.php' and '404.php' page.

### Version 1.0.8
- Fixed Header email link, Updated 'options-framework' and change footer credit link

### Version 1.0.7
- Added unminified version of 'html5.js' file

### Version 1.0.6
- Modified 404 page hard-coded string and added unminified version of 'jquery.appear.js' file

### Version 1.0.5
- Remove 'rtl.css', add 'enqueue google fonts' and 'Changed to SEO structured data'

### Version 1.0.4
- Remove 'add_editor_style' function, 'rtl-language-support' tag and remove Minify scripts.

### Version 1.0.3
- Fixed 'text-domain' and add Bundled Resources credit link on README.md file.

### Version 1.0.2
- Fixed 'text-domain, function_exists() conditional wrappers for core functions' issue.

### Version 1.0.1
- Fixed 'of_get_option' issue.

### Version 1.0
- Initial release.
